package com.module.backstage.dialog

import android.content.Context
import androidx.lifecycle.Lifecycle
import androidx.lifecycle.LifecycleObserver
import androidx.lifecycle.OnLifecycleEvent
import com.hboxs.serialport.plc.DialogClickListener
import com.module.backstage.databinding.NormalDialogTipsBinding
import com.quyunshuo.androidbaseframemvvm.base.mvvm.v.BaseFrameDialog

class NormalDialog(mContext: Context) : BaseFrameDialog<NormalDialogTipsBinding>(mContext),
    LifecycleObserver {

    var type1: Int = 1
    var type2: Int = 2


    private var devOnoffDialoglistener: DialogClickListener? = null

    override fun NormalDialogTipsBinding.initView() {
        tvBack.setOnClickListener {
            dismiss()
        }
        tvStartDev.setOnClickListener {
            devOnoffDialoglistener?.onClickListener(type1, null)
        }

    }

    @OnLifecycleEvent(Lifecycle.Event.ON_STOP)
    override fun dismiss() {
        super.dismiss()
    }

    override fun createVB() = NormalDialogTipsBinding.inflate(layoutInflater)


    override fun initObserve() {
    }

    override fun initRequestData() {
    }

    fun setListener(listener: DialogClickListener) {
        this.devOnoffDialoglistener = listener
    }

    fun setContent(content: String) {
        mBinding.tvTitle.text = content
    }


}